package com.cool.bang.modules.approval.domain.po;

import com.cool.bang.common.base.BaseDomain;

/**
 * 审批流程表
 *
 * @author PeiZhi Guo
 * 2022-8-1 16:43
 */
public class ApprovalFlow extends BaseDomain {

    private static final long serialVersionUID = 1L;

    private Long id;

    private String flowNumber;   // 流程编号

    private Integer flowType;    // 流程编号

    private String flowName;     // 流程名称

    private Integer noticeWay;   // 通知方式 1站内信 2短信通知

    private Integer state;       // 流程状态 1正常 0禁用

    private Integer delFlag;     // 删除标识 1正常 0禁用

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Integer getFlowType() {
        return flowType;
    }

    public void setFlowType(Integer flowType) {
        this.flowType = flowType;
    }

    public String getFlowNumber() {
        return flowNumber;
    }

    public void setFlowNumber(String flowNumber) {
        this.flowNumber = flowNumber;
    }

    public String getFlowName() {
        return flowName;
    }

    public void setFlowName(String flowName) {
        this.flowName = flowName;
    }

    public Integer getNoticeWay() {
        return noticeWay;
    }

    public void setNoticeWay(Integer noticeWay) {
        this.noticeWay = noticeWay;
    }

    public Integer getState() {
        return state;
    }

    public void setState(Integer state) {
        this.state = state;
    }

    public Integer getDelFlag() {
        return delFlag;
    }

    public void setDelFlag(Integer delFlag) {
        this.delFlag = delFlag;
    }
}
